<?php

namespace LendingQB;

/**
 * Class which returns the class map definition
 * @package LendingQB
 */
class LendingQBClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'Load' => '\\LendingQB\\StructType\\LendingQBLoad',
            'LoadResponse' => '\\LendingQB\\StructType\\LendingQBLoadResponse',
            'LoadByRefNumber' => '\\LendingQB\\StructType\\LendingQBLoadByRefNumber',
            'LoadByRefNumberResponse' => '\\LendingQB\\StructType\\LendingQBLoadByRefNumberResponse',
            'DeleteApplicant' => '\\LendingQB\\StructType\\LendingQBDeleteApplicant',
            'DeleteApplicantResponse' => '\\LendingQB\\StructType\\LendingQBDeleteApplicantResponse',
            'ParseFnma32ToLoXml' => '\\LendingQB\\StructType\\LendingQBParseFnma32ToLoXml',
            'ParseFnma32ToLoXmlResponse' => '\\LendingQB\\StructType\\LendingQBParseFnma32ToLoXmlResponse',
            'UploadPDFDocument' => '\\LendingQB\\StructType\\LendingQBUploadPDFDocument',
            'UploadPDFDocumentResponse' => '\\LendingQB\\StructType\\LendingQBUploadPDFDocumentResponse',
            'UploadPDFDocumentToApp' => '\\LendingQB\\StructType\\LendingQBUploadPDFDocumentToApp',
            'UploadPDFDocumentToAppResponse' => '\\LendingQB\\StructType\\LendingQBUploadPDFDocumentToAppResponse',
            'UploadPDFDocumentAsService' => '\\LendingQB\\StructType\\LendingQBUploadPDFDocumentAsService',
            'UploadPDFDocumentAsServiceResponse' => '\\LendingQB\\StructType\\LendingQBUploadPDFDocumentAsServiceResponse',
            'UploadPDFDocumentToAppAsService' => '\\LendingQB\\StructType\\LendingQBUploadPDFDocumentToAppAsService',
            'UploadPDFDocumentToAppAsServiceResponse' => '\\LendingQB\\StructType\\LendingQBUploadPDFDocumentToAppAsServiceResponse',
            'Save' => '\\LendingQB\\StructType\\LendingQBSave',
            'SaveResponse' => '\\LendingQB\\StructType\\LendingQBSaveResponse',
            'SaveByRefNumber' => '\\LendingQB\\StructType\\LendingQBSaveByRefNumber',
            'SaveByRefNumberResponse' => '\\LendingQB\\StructType\\LendingQBSaveByRefNumberResponse',
            'IsLoanExisted' => '\\LendingQB\\StructType\\LendingQBIsLoanExisted',
            'IsLoanExistedResponse' => '\\LendingQB\\StructType\\LendingQBIsLoanExistedResponse',
            'RetrieveCustomReport' => '\\LendingQB\\StructType\\LendingQBRetrieveCustomReport',
            'RetrieveCustomReportResponse' => '\\LendingQB\\StructType\\LendingQBRetrieveCustomReportResponse',
            'DeleteLoan' => '\\LendingQB\\StructType\\LendingQBDeleteLoan',
            'DeleteLoanResponse' => '\\LendingQB\\StructType\\LendingQBDeleteLoanResponse',
            'CreateWithOptions' => '\\LendingQB\\StructType\\LendingQBCreateWithOptions',
            'CreateWithOptionsResponse' => '\\LendingQB\\StructType\\LendingQBCreateWithOptionsResponse',
            'Create' => '\\LendingQB\\StructType\\LendingQBCreate',
            'CreateResponse' => '\\LendingQB\\StructType\\LendingQBCreateResponse',
            'CreateLead' => '\\LendingQB\\StructType\\LendingQBCreateLead',
            'CreateLeadResponse' => '\\LendingQB\\StructType\\LendingQBCreateLeadResponse',
            'RegisterLoanProgramWithRateOptionId' => '\\LendingQB\\StructType\\LendingQBRegisterLoanProgramWithRateOptionId',
            'RegisterLoanProgramWithRateOptionIdResponse' => '\\LendingQB\\StructType\\LendingQBRegisterLoanProgramWithRateOptionIdResponse',
            'RegisterLoanProgram' => '\\LendingQB\\StructType\\LendingQBRegisterLoanProgram',
            'RegisterLoanProgramResponse' => '\\LendingQB\\StructType\\LendingQBRegisterLoanProgramResponse',
            'RegisterLoanProgramAndSkipDuplicateCheck' => '\\LendingQB\\StructType\\LendingQBRegisterLoanProgramAndSkipDuplicateCheck',
            'RegisterLoanProgramAndSkipDuplicateCheckResponse' => '\\LendingQB\\StructType\\LendingQBRegisterLoanProgramAndSkipDuplicateCheckResponse',
            'RegisterLoanProgramWithRateOptionIdAndSkipDuplicateCheck' => '\\LendingQB\\StructType\\LendingQBRegisterLoanProgramWithRateOptionIdAndSkipDuplicateCheck',
            'RegisterLoanProgramWithRateOptionIdAndSkipDuplicateCheckResponse' => '\\LendingQB\\StructType\\LendingQBRegisterLoanProgramWithRateOptionIdAndSkipDuplicateCheckResponse',
            'RegisterLoanProgramWithOptions' => '\\LendingQB\\StructType\\LendingQBRegisterLoanProgramWithOptions',
            'RegisterLoanProgramWithOptionsResponse' => '\\LendingQB\\StructType\\LendingQBRegisterLoanProgramWithOptionsResponse',
            'LockLoanProgramWithRateOptionId' => '\\LendingQB\\StructType\\LendingQBLockLoanProgramWithRateOptionId',
            'LockLoanProgramWithRateOptionIdResponse' => '\\LendingQB\\StructType\\LendingQBLockLoanProgramWithRateOptionIdResponse',
            'LockLoanProgram' => '\\LendingQB\\StructType\\LendingQBLockLoanProgram',
            'LockLoanProgramResponse' => '\\LendingQB\\StructType\\LendingQBLockLoanProgramResponse',
            'LockLoanProgramAndSkipDuplicateCheck' => '\\LendingQB\\StructType\\LendingQBLockLoanProgramAndSkipDuplicateCheck',
            'LockLoanProgramAndSkipDuplicateCheckResponse' => '\\LendingQB\\StructType\\LendingQBLockLoanProgramAndSkipDuplicateCheckResponse',
            'LockLoanProgramWithRateOptionIdAndSkipDuplicateCheck' => '\\LendingQB\\StructType\\LendingQBLockLoanProgramWithRateOptionIdAndSkipDuplicateCheck',
            'LockLoanProgramWithRateOptionIdAndSkipDuplicateCheckResponse' => '\\LendingQB\\StructType\\LendingQBLockLoanProgramWithRateOptionIdAndSkipDuplicateCheckResponse',
            'LockLoanProgramWithOptions' => '\\LendingQB\\StructType\\LendingQBLockLoanProgramWithOptions',
            'LockLoanProgramWithOptionsResponse' => '\\LendingQB\\StructType\\LendingQBLockLoanProgramWithOptionsResponse',
            'BreakBrokerRateLock' => '\\LendingQB\\StructType\\LendingQBBreakBrokerRateLock',
            'BreakBrokerRateLockResponse' => '\\LendingQB\\StructType\\LendingQBBreakBrokerRateLockResponse',
            'RemoveRequestedRate' => '\\LendingQB\\StructType\\LendingQBRemoveRequestedRate',
            'RemoveRequestedRateResponse' => '\\LendingQB\\StructType\\LendingQBRemoveRequestedRateResponse',
            'ListEdocsByLoanNumber' => '\\LendingQB\\StructType\\LendingQBListEdocsByLoanNumber',
            'ListEdocsByLoanNumberResponse' => '\\LendingQB\\StructType\\LendingQBListEdocsByLoanNumberResponse',
            'DownloadEdocsPdfById' => '\\LendingQB\\StructType\\LendingQBDownloadEdocsPdfById',
            'DownloadEdocsPdfByIdResponse' => '\\LendingQB\\StructType\\LendingQBDownloadEdocsPdfByIdResponse',
            'DownloadEdocsByShippingTemplate' => '\\LendingQB\\StructType\\LendingQBDownloadEdocsByShippingTemplate',
            'DownloadEdocsByShippingTemplateResponse' => '\\LendingQB\\StructType\\LendingQBDownloadEdocsByShippingTemplateResponse',
            'PrepareLoanForResubmission' => '\\LendingQB\\StructType\\LendingQBPrepareLoanForResubmission',
            'PrepareLoanForResubmissionResponse' => '\\LendingQB\\StructType\\LendingQBPrepareLoanForResubmissionResponse',
            'CreateWithULDD' => '\\LendingQB\\StructType\\LendingQBCreateWithULDD',
            'CreateWithULDDResponse' => '\\LendingQB\\StructType\\LendingQBCreateWithULDDResponse',
            'CreateWithFannieMaeFile' => '\\LendingQB\\StructType\\LendingQBCreateWithFannieMaeFile',
            'CreateWithFannieMaeFileResponse' => '\\LendingQB\\StructType\\LendingQBCreateWithFannieMaeFileResponse',
            'CreateWithCalyxPointFile' => '\\LendingQB\\StructType\\LendingQBCreateWithCalyxPointFile',
            'CreateWithCalyxPointFileResponse' => '\\LendingQB\\StructType\\LendingQBCreateWithCalyxPointFileResponse',
            'ListClosingCostTemplateName' => '\\LendingQB\\StructType\\LendingQBListClosingCostTemplateName',
            'ListClosingCostTemplateNameResponse' => '\\LendingQB\\StructType\\LendingQBListClosingCostTemplateNameResponse',
            'RetrieveClosingCostTemplateFeeList' => '\\LendingQB\\StructType\\LendingQBRetrieveClosingCostTemplateFeeList',
            'RetrieveClosingCostTemplateFeeListResponse' => '\\LendingQB\\StructType\\LendingQBRetrieveClosingCostTemplateFeeListResponse',
            'ListModifiedLoans' => '\\LendingQB\\StructType\\LendingQBListModifiedLoans',
            'ListModifiedLoansResponse' => '\\LendingQB\\StructType\\LendingQBListModifiedLoansResponse',
            'ListModifiedLoansByAppCode' => '\\LendingQB\\StructType\\LendingQBListModifiedLoansByAppCode',
            'ListModifiedLoansByAppCodeResponse' => '\\LendingQB\\StructType\\LendingQBListModifiedLoansByAppCodeResponse',
            'ListModifiedEDocsByAppCode' => '\\LendingQB\\StructType\\LendingQBListModifiedEDocsByAppCode',
            'ListModifiedEDocsByAppCodeResponse' => '\\LendingQB\\StructType\\LendingQBListModifiedEDocsByAppCodeResponse',
            'ClearModifiedLoansList' => '\\LendingQB\\StructType\\LendingQBClearModifiedLoansList',
            'ClearModifiedLoansListResponse' => '\\LendingQB\\StructType\\LendingQBClearModifiedLoansListResponse',
            'ClearModifiedLoansListByAppCode' => '\\LendingQB\\StructType\\LendingQBClearModifiedLoansListByAppCode',
            'ClearModifiedLoansListByAppCodeResponse' => '\\LendingQB\\StructType\\LendingQBClearModifiedLoansListByAppCodeResponse',
            'ClearModifiedLoanByName' => '\\LendingQB\\StructType\\LendingQBClearModifiedLoanByName',
            'ClearModifiedLoanByNameResponse' => '\\LendingQB\\StructType\\LendingQBClearModifiedLoanByNameResponse',
            'ClearModifiedLoanByNameByAppCode' => '\\LendingQB\\StructType\\LendingQBClearModifiedLoanByNameByAppCode',
            'ClearModifiedLoanByNameByAppCodeResponse' => '\\LendingQB\\StructType\\LendingQBClearModifiedLoanByNameByAppCodeResponse',
            'ListMyActiveTaskList' => '\\LendingQB\\StructType\\LendingQBListMyActiveTaskList',
            'ListMyActiveTaskListResponse' => '\\LendingQB\\StructType\\LendingQBListMyActiveTaskListResponse',
            'RetrieveTaskById' => '\\LendingQB\\StructType\\LendingQBRetrieveTaskById',
            'RetrieveTaskByIdResponse' => '\\LendingQB\\StructType\\LendingQBRetrieveTaskByIdResponse',
            'RetrieveUsersAssignedToLoan' => '\\LendingQB\\StructType\\LendingQBRetrieveUsersAssignedToLoan',
            'RetrieveUsersAssignedToLoanResponse' => '\\LendingQB\\StructType\\LendingQBRetrieveUsersAssignedToLoanResponse',
            'TaskEdit' => '\\LendingQB\\StructType\\LendingQBTaskEdit',
            'TaskEditResponse' => '\\LendingQB\\StructType\\LendingQBTaskEditResponse',
            'TaskResolve' => '\\LendingQB\\StructType\\LendingQBTaskResolve',
            'TaskResolveResponse' => '\\LendingQB\\StructType\\LendingQBTaskResolveResponse',
            'SaveMismo23' => '\\LendingQB\\StructType\\LendingQBSaveMismo23',
            'SaveMismo23Response' => '\\LendingQB\\StructType\\LendingQBSaveMismo23Response',
            'LoadMismo23ByLoanName' => '\\LendingQB\\StructType\\LendingQBLoadMismo23ByLoanName',
            'LoadMismo23ByLoanNameResponse' => '\\LendingQB\\StructType\\LendingQBLoadMismo23ByLoanNameResponse',
            'GetPdfByLoanName' => '\\LendingQB\\StructType\\LendingQBGetPdfByLoanName',
            'GetPdfByLoanNameResponse' => '\\LendingQB\\StructType\\LendingQBGetPdfByLoanNameResponse',
            'UploadLONXml' => '\\LendingQB\\StructType\\LendingQBUploadLONXml',
            'UploadLONXmlResponse' => '\\LendingQB\\StructType\\LendingQBUploadLONXmlResponse',
            'Search' => '\\LendingQB\\StructType\\LendingQBSearch',
            'SearchResponse' => '\\LendingQB\\StructType\\LendingQBSearchResponse',
            'RunInternalPricing' => '\\LendingQB\\StructType\\LendingQBRunInternalPricing',
            'RunInternalPricingResponse' => '\\LendingQB\\StructType\\LendingQBRunInternalPricingResponse',
            'RunQuickPricer' => '\\LendingQB\\StructType\\LendingQBRunQuickPricer',
            'RunQuickPricerResponse' => '\\LendingQB\\StructType\\LendingQBRunQuickPricerResponse',
            'RunQuickPricerForLockDesk' => '\\LendingQB\\StructType\\LendingQBRunQuickPricerForLockDesk',
            'RunQuickPricerForLockDeskResponse' => '\\LendingQB\\StructType\\LendingQBRunQuickPricerForLockDeskResponse',
            'SubmitTotalScorecard' => '\\LendingQB\\StructType\\LendingQBSubmitTotalScorecard',
            'SubmitTotalScorecardResponse' => '\\LendingQB\\StructType\\LendingQBSubmitTotalScorecardResponse',
            'SubmitToLoanProspectorSeamless' => '\\LendingQB\\StructType\\LendingQBSubmitToLoanProspectorSeamless',
            'SubmitToLoanProspectorSeamlessResponse' => '\\LendingQB\\StructType\\LendingQBSubmitToLoanProspectorSeamlessResponse',
            'SubmitToFannieMaeEarlyCheck' => '\\LendingQB\\StructType\\LendingQBSubmitToFannieMaeEarlyCheck',
            'SubmitToFannieMaeEarlyCheckResponse' => '\\LendingQB\\StructType\\LendingQBSubmitToFannieMaeEarlyCheckResponse',
            'SubmitToDesktopUnderwriterSeamless' => '\\LendingQB\\StructType\\LendingQBSubmitToDesktopUnderwriterSeamless',
            'SubmitToDesktopUnderwriterSeamlessResponse' => '\\LendingQB\\StructType\\LendingQBSubmitToDesktopUnderwriterSeamlessResponse',
            'SubmitToDesktopUnderwriterSeamless_OptionalCredit' => '\\LendingQB\\StructType\\LendingQBSubmitToDesktopUnderwriterSeamless_OptionalCredit',
            'SubmitToDesktopUnderwriterSeamless_OptionalCreditResponse' => '\\LendingQB\\StructType\\LendingQBSubmitToDesktopUnderwriterSeamless_OptionalCreditResponse',
            'SubmitToDesktopUnderwriterSeamlessReissueCredit' => '\\LendingQB\\StructType\\LendingQBSubmitToDesktopUnderwriterSeamlessReissueCredit',
            'SubmitToDesktopUnderwriterSeamlessReissueCreditResponse' => '\\LendingQB\\StructType\\LendingQBSubmitToDesktopUnderwriterSeamlessReissueCreditResponse',
            'SubmitToDesktopUnderwriterSeamlessReissueCredit_OptionalCreditImport' => '\\LendingQB\\StructType\\LendingQBSubmitToDesktopUnderwriterSeamlessReissueCredit_OptionalCreditImport',
            'SubmitToDesktopUnderwriterSeamlessReissueCredit_OptionalCreditImportResponse' => '\\LendingQB\\StructType\\LendingQBSubmitToDesktopUnderwriterSeamlessReissueCredit_OptionalCreditImportResponse',
            'SubmitToDesktopUnderwriterWithInstituteId' => '\\LendingQB\\StructType\\LendingQBSubmitToDesktopUnderwriterWithInstituteId',
            'SubmitToDesktopUnderwriterWithInstituteIdResponse' => '\\LendingQB\\StructType\\LendingQBSubmitToDesktopUnderwriterWithInstituteIdResponse',
            'SubmitToDesktopUnderwriter' => '\\LendingQB\\StructType\\LendingQBSubmitToDesktopUnderwriter',
            'SubmitToDesktopUnderwriterResponse' => '\\LendingQB\\StructType\\LendingQBSubmitToDesktopUnderwriterResponse',
            'ImportFromFreddieMac' => '\\LendingQB\\StructType\\LendingQBImportFromFreddieMac',
            'ImportFromFreddieMacResponse' => '\\LendingQB\\StructType\\LendingQBImportFromFreddieMacResponse',
            'CreateWithDesktopUnderwriter' => '\\LendingQB\\StructType\\LendingQBCreateWithDesktopUnderwriter',
            'CreateWithDesktopUnderwriterResponse' => '\\LendingQB\\StructType\\LendingQBCreateWithDesktopUnderwriterResponse',
            'ImportFromFannieMaeWithInstitutionId' => '\\LendingQB\\StructType\\LendingQBImportFromFannieMaeWithInstitutionId',
            'ImportFromFannieMaeWithInstitutionIdResponse' => '\\LendingQB\\StructType\\LendingQBImportFromFannieMaeWithInstitutionIdResponse',
            'ImportFromFannieMae' => '\\LendingQB\\StructType\\LendingQBImportFromFannieMae',
            'ImportFromFannieMaeResponse' => '\\LendingQB\\StructType\\LendingQBImportFromFannieMaeResponse',
            'GetDesktopUnderwriterCasefileStatusByLoanFile' => '\\LendingQB\\StructType\\LendingQBGetDesktopUnderwriterCasefileStatusByLoanFile',
            'GetDesktopUnderwriterCasefileStatusByLoanFileResponse' => '\\LendingQB\\StructType\\LendingQBGetDesktopUnderwriterCasefileStatusByLoanFileResponse',
            'GetDesktopUnderwriterCasefileStatus' => '\\LendingQB\\StructType\\LendingQBGetDesktopUnderwriterCasefileStatus',
            'GetDesktopUnderwriterCasefileStatusResponse' => '\\LendingQB\\StructType\\LendingQBGetDesktopUnderwriterCasefileStatusResponse',
            'SubmitToDesktopOriginator' => '\\LendingQB\\StructType\\LendingQBSubmitToDesktopOriginator',
            'SubmitToDesktopOriginatorResponse' => '\\LendingQB\\StructType\\LendingQBSubmitToDesktopOriginatorResponse',
            'RetrieveRecentActiveLoanList' => '\\LendingQB\\StructType\\LendingQBRetrieveRecentActiveLoanList',
            'RetrieveRecentActiveLoanListResponse' => '\\LendingQB\\StructType\\LendingQBRetrieveRecentActiveLoanListResponse',
            'RetrieveLoanActivityList' => '\\LendingQB\\StructType\\LendingQBRetrieveLoanActivityList',
            'RetrieveLoanActivityListResponse' => '\\LendingQB\\StructType\\LendingQBRetrieveLoanActivityListResponse',
            'RetrievePmlLoanList' => '\\LendingQB\\StructType\\LendingQBRetrievePmlLoanList',
            'RetrievePmlLoanListResponse' => '\\LendingQB\\StructType\\LendingQBRetrievePmlLoanListResponse',
            'CheckValidAppStatus' => '\\LendingQB\\StructType\\LendingQBCheckValidAppStatus',
            'CheckValidAppStatusResponse' => '\\LendingQB\\StructType\\LendingQBCheckValidAppStatusResponse',
            'RecievePdf' => '\\LendingQB\\StructType\\LendingQBRecievePdf',
            'RecievePdfResponse' => '\\LendingQB\\StructType\\LendingQBRecievePdfResponse',
            'GetAuditLog' => '\\LendingQB\\StructType\\LendingQBGetAuditLog',
            'GetAuditLogResponse' => '\\LendingQB\\StructType\\LendingQBGetAuditLogResponse',
            'DocumentFrameworkGetAvailableDocPackagesAndPlanCodes' => '\\LendingQB\\StructType\\LendingQBDocumentFrameworkGetAvailableDocPackagesAndPlanCodes',
            'DocumentFrameworkGetAvailableDocPackagesAndPlanCodesResponse' => '\\LendingQB\\StructType\\LendingQBDocumentFrameworkGetAvailableDocPackagesAndPlanCodesResponse',
            'DocumentFrameworkPerformAudit' => '\\LendingQB\\StructType\\LendingQBDocumentFrameworkPerformAudit',
            'DocumentFrameworkPerformAuditResponse' => '\\LendingQB\\StructType\\LendingQBDocumentFrameworkPerformAuditResponse',
            'DocumentFrameworkGetFormsList' => '\\LendingQB\\StructType\\LendingQBDocumentFrameworkGetFormsList',
            'DocumentFrameworkGetFormsListResponse' => '\\LendingQB\\StructType\\LendingQBDocumentFrameworkGetFormsListResponse',
            'DocumentFrameworkGenerateDocs' => '\\LendingQB\\StructType\\LendingQBDocumentFrameworkGenerateDocs',
            'DocumentFrameworkGenerateDocsResponse' => '\\LendingQB\\StructType\\LendingQBDocumentFrameworkGenerateDocsResponse',
            'DocumentFrameworkDownloadGeneratedDocument' => '\\LendingQB\\StructType\\LendingQBDocumentFrameworkDownloadGeneratedDocument',
            'DocumentFrameworkDownloadGeneratedDocumentResponse' => '\\LendingQB\\StructType\\LendingQBDocumentFrameworkDownloadGeneratedDocumentResponse',
            'GenerateClosestCounselingOrganization' => '\\LendingQB\\StructType\\LendingQBGenerateClosestCounselingOrganization',
            'GenerateClosestCounselingOrganizationResponse' => '\\LendingQB\\StructType\\LendingQBGenerateClosestCounselingOrganizationResponse',
            'RecordInitialDisclosureEventWithPartnerKey' => '\\LendingQB\\StructType\\LendingQBRecordInitialDisclosureEventWithPartnerKey',
            'RecordInitialDisclosureEventWithPartnerKeyResponse' => '\\LendingQB\\StructType\\LendingQBRecordInitialDisclosureEventWithPartnerKeyResponse',
            'CreateClosingDisclosureArchiveByReferenceNumber' => '\\LendingQB\\StructType\\LendingQBCreateClosingDisclosureArchiveByReferenceNumber',
            'CreateClosingDisclosureArchiveByReferenceNumberResponse' => '\\LendingQB\\StructType\\LendingQBCreateClosingDisclosureArchiveByReferenceNumberResponse',
            'CreateClosingDisclosureArchive' => '\\LendingQB\\StructType\\LendingQBCreateClosingDisclosureArchive',
            'CreateClosingDisclosureArchiveResponse' => '\\LendingQB\\StructType\\LendingQBCreateClosingDisclosureArchiveResponse',
            'ConvertLeadToLoan' => '\\LendingQB\\StructType\\LendingQBConvertLeadToLoan',
            'ConvertLeadToLoanResponse' => '\\LendingQB\\StructType\\LendingQBConvertLeadToLoanResponse',
        );
    }
}
