<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CheckValidAppStatus StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBCheckValidAppStatus extends AbstractStructBase
{
    /**
     * The appName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $appName;
    /**
     * The appVersion
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $appVersion;
    /**
     * Constructor method for CheckValidAppStatus
     * @uses LendingQBCheckValidAppStatus::setAppName()
     * @uses LendingQBCheckValidAppStatus::setAppVersion()
     * @param string $appName
     * @param string $appVersion
     */
    public function __construct($appName = null, $appVersion = null)
    {
        $this
            ->setAppName($appName)
            ->setAppVersion($appVersion);
    }
    /**
     * Get appName value
     * @return string|null
     */
    public function getAppName()
    {
        return $this->appName;
    }
    /**
     * Set appName value
     * @param string $appName
     * @return \LendingQB\StructType\LendingQBCheckValidAppStatus
     */
    public function setAppName($appName = null)
    {
        // validation for constraint: string
        if (!is_null($appName) && !is_string($appName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($appName)), __LINE__);
        }
        $this->appName = $appName;
        return $this;
    }
    /**
     * Get appVersion value
     * @return string|null
     */
    public function getAppVersion()
    {
        return $this->appVersion;
    }
    /**
     * Set appVersion value
     * @param string $appVersion
     * @return \LendingQB\StructType\LendingQBCheckValidAppStatus
     */
    public function setAppVersion($appVersion = null)
    {
        // validation for constraint: string
        if (!is_null($appVersion) && !is_string($appVersion)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($appVersion)), __LINE__);
        }
        $this->appVersion = $appVersion;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBCheckValidAppStatus
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
