<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ClearModifiedLoansListByAppCode StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBClearModifiedLoansListByAppCode extends AbstractStructBase
{
    /**
     * The lastModifiedDate
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $lastModifiedDate;
    /**
     * The sTicket
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sTicket;
    /**
     * The appCode
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $appCode;
    /**
     * Constructor method for ClearModifiedLoansListByAppCode
     * @uses LendingQBClearModifiedLoansListByAppCode::setLastModifiedDate()
     * @uses LendingQBClearModifiedLoansListByAppCode::setSTicket()
     * @uses LendingQBClearModifiedLoansListByAppCode::setAppCode()
     * @param string $lastModifiedDate
     * @param string $sTicket
     * @param string $appCode
     */
    public function __construct($lastModifiedDate = null, $sTicket = null, $appCode = null)
    {
        $this
            ->setLastModifiedDate($lastModifiedDate)
            ->setSTicket($sTicket)
            ->setAppCode($appCode);
    }
    /**
     * Get lastModifiedDate value
     * @return string
     */
    public function getLastModifiedDate()
    {
        return $this->lastModifiedDate;
    }
    /**
     * Set lastModifiedDate value
     * @param string $lastModifiedDate
     * @return \LendingQB\StructType\LendingQBClearModifiedLoansListByAppCode
     */
    public function setLastModifiedDate($lastModifiedDate = null)
    {
        // validation for constraint: string
        if (!is_null($lastModifiedDate) && !is_string($lastModifiedDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($lastModifiedDate)), __LINE__);
        }
        $this->lastModifiedDate = $lastModifiedDate;
        return $this;
    }
    /**
     * Get sTicket value
     * @return string|null
     */
    public function getSTicket()
    {
        return $this->sTicket;
    }
    /**
     * Set sTicket value
     * @param string $sTicket
     * @return \LendingQB\StructType\LendingQBClearModifiedLoansListByAppCode
     */
    public function setSTicket($sTicket = null)
    {
        // validation for constraint: string
        if (!is_null($sTicket) && !is_string($sTicket)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sTicket)), __LINE__);
        }
        $this->sTicket = $sTicket;
        return $this;
    }
    /**
     * Get appCode value
     * @return string|null
     */
    public function getAppCode()
    {
        return $this->appCode;
    }
    /**
     * Set appCode value
     * @param string $appCode
     * @return \LendingQB\StructType\LendingQBClearModifiedLoansListByAppCode
     */
    public function setAppCode($appCode = null)
    {
        // validation for constraint: string
        if (!is_null($appCode) && !is_string($appCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($appCode)), __LINE__);
        }
        $this->appCode = $appCode;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBClearModifiedLoansListByAppCode
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
