<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateClosingDisclosureArchiveByReferenceNumber StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBCreateClosingDisclosureArchiveByReferenceNumber extends AbstractStructBase
{
    /**
     * The authTicket
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $authTicket;
    /**
     * The loanRefNumber
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $loanRefNumber;
    /**
     * The dataXml
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $dataXml;
    /**
     * The secretKey
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $secretKey;
    /**
     * Constructor method for CreateClosingDisclosureArchiveByReferenceNumber
     * @uses LendingQBCreateClosingDisclosureArchiveByReferenceNumber::setAuthTicket()
     * @uses LendingQBCreateClosingDisclosureArchiveByReferenceNumber::setLoanRefNumber()
     * @uses LendingQBCreateClosingDisclosureArchiveByReferenceNumber::setDataXml()
     * @uses LendingQBCreateClosingDisclosureArchiveByReferenceNumber::setSecretKey()
     * @param string $authTicket
     * @param string $loanRefNumber
     * @param string $dataXml
     * @param string $secretKey
     */
    public function __construct($authTicket = null, $loanRefNumber = null, $dataXml = null, $secretKey = null)
    {
        $this
            ->setAuthTicket($authTicket)
            ->setLoanRefNumber($loanRefNumber)
            ->setDataXml($dataXml)
            ->setSecretKey($secretKey);
    }
    /**
     * Get authTicket value
     * @return string|null
     */
    public function getAuthTicket()
    {
        return $this->authTicket;
    }
    /**
     * Set authTicket value
     * @param string $authTicket
     * @return \LendingQB\StructType\LendingQBCreateClosingDisclosureArchiveByReferenceNumber
     */
    public function setAuthTicket($authTicket = null)
    {
        // validation for constraint: string
        if (!is_null($authTicket) && !is_string($authTicket)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($authTicket)), __LINE__);
        }
        $this->authTicket = $authTicket;
        return $this;
    }
    /**
     * Get loanRefNumber value
     * @return string|null
     */
    public function getLoanRefNumber()
    {
        return $this->loanRefNumber;
    }
    /**
     * Set loanRefNumber value
     * @param string $loanRefNumber
     * @return \LendingQB\StructType\LendingQBCreateClosingDisclosureArchiveByReferenceNumber
     */
    public function setLoanRefNumber($loanRefNumber = null)
    {
        // validation for constraint: string
        if (!is_null($loanRefNumber) && !is_string($loanRefNumber)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($loanRefNumber)), __LINE__);
        }
        $this->loanRefNumber = $loanRefNumber;
        return $this;
    }
    /**
     * Get dataXml value
     * @return string|null
     */
    public function getDataXml()
    {
        return $this->dataXml;
    }
    /**
     * Set dataXml value
     * @param string $dataXml
     * @return \LendingQB\StructType\LendingQBCreateClosingDisclosureArchiveByReferenceNumber
     */
    public function setDataXml($dataXml = null)
    {
        // validation for constraint: string
        if (!is_null($dataXml) && !is_string($dataXml)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($dataXml)), __LINE__);
        }
        $this->dataXml = $dataXml;
        return $this;
    }
    /**
     * Get secretKey value
     * @return string|null
     */
    public function getSecretKey()
    {
        return $this->secretKey;
    }
    /**
     * Set secretKey value
     * @param string $secretKey
     * @return \LendingQB\StructType\LendingQBCreateClosingDisclosureArchiveByReferenceNumber
     */
    public function setSecretKey($secretKey = null)
    {
        // validation for constraint: string
        if (!is_null($secretKey) && !is_string($secretKey)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($secretKey)), __LINE__);
        }
        $this->secretKey = $secretKey;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBCreateClosingDisclosureArchiveByReferenceNumber
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
