<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateWithCalyxPointFile StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBCreateWithCalyxPointFile extends AbstractStructBase
{
    /**
     * The sTicket
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sTicket;
    /**
     * The base64content
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $base64content;
    /**
     * Constructor method for CreateWithCalyxPointFile
     * @uses LendingQBCreateWithCalyxPointFile::setSTicket()
     * @uses LendingQBCreateWithCalyxPointFile::setBase64content()
     * @param string $sTicket
     * @param string $base64content
     */
    public function __construct($sTicket = null, $base64content = null)
    {
        $this
            ->setSTicket($sTicket)
            ->setBase64content($base64content);
    }
    /**
     * Get sTicket value
     * @return string|null
     */
    public function getSTicket()
    {
        return $this->sTicket;
    }
    /**
     * Set sTicket value
     * @param string $sTicket
     * @return \LendingQB\StructType\LendingQBCreateWithCalyxPointFile
     */
    public function setSTicket($sTicket = null)
    {
        // validation for constraint: string
        if (!is_null($sTicket) && !is_string($sTicket)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sTicket)), __LINE__);
        }
        $this->sTicket = $sTicket;
        return $this;
    }
    /**
     * Get base64content value
     * @return string|null
     */
    public function getBase64content()
    {
        return $this->base64content;
    }
    /**
     * Set base64content value
     * @param string $base64content
     * @return \LendingQB\StructType\LendingQBCreateWithCalyxPointFile
     */
    public function setBase64content($base64content = null)
    {
        // validation for constraint: string
        if (!is_null($base64content) && !is_string($base64content)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($base64content)), __LINE__);
        }
        $this->base64content = $base64content;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBCreateWithCalyxPointFile
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
