<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateWithDesktopUnderwriter StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBCreateWithDesktopUnderwriter extends AbstractStructBase
{
    /**
     * The isImportCredit
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $isImportCredit;
    /**
     * The sTicket
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sTicket;
    /**
     * The doUserName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $doUserName;
    /**
     * The doPassword
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $doPassword;
    /**
     * The sDuCaseId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sDuCaseId;
    /**
     * Constructor method for CreateWithDesktopUnderwriter
     * @uses LendingQBCreateWithDesktopUnderwriter::setIsImportCredit()
     * @uses LendingQBCreateWithDesktopUnderwriter::setSTicket()
     * @uses LendingQBCreateWithDesktopUnderwriter::setDoUserName()
     * @uses LendingQBCreateWithDesktopUnderwriter::setDoPassword()
     * @uses LendingQBCreateWithDesktopUnderwriter::setSDuCaseId()
     * @param bool $isImportCredit
     * @param string $sTicket
     * @param string $doUserName
     * @param string $doPassword
     * @param string $sDuCaseId
     */
    public function __construct($isImportCredit = null, $sTicket = null, $doUserName = null, $doPassword = null, $sDuCaseId = null)
    {
        $this
            ->setIsImportCredit($isImportCredit)
            ->setSTicket($sTicket)
            ->setDoUserName($doUserName)
            ->setDoPassword($doPassword)
            ->setSDuCaseId($sDuCaseId);
    }
    /**
     * Get isImportCredit value
     * @return bool
     */
    public function getIsImportCredit()
    {
        return $this->isImportCredit;
    }
    /**
     * Set isImportCredit value
     * @param bool $isImportCredit
     * @return \LendingQB\StructType\LendingQBCreateWithDesktopUnderwriter
     */
    public function setIsImportCredit($isImportCredit = null)
    {
        // validation for constraint: boolean
        if (!is_null($isImportCredit) && !is_bool($isImportCredit)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($isImportCredit)), __LINE__);
        }
        $this->isImportCredit = $isImportCredit;
        return $this;
    }
    /**
     * Get sTicket value
     * @return string|null
     */
    public function getSTicket()
    {
        return $this->sTicket;
    }
    /**
     * Set sTicket value
     * @param string $sTicket
     * @return \LendingQB\StructType\LendingQBCreateWithDesktopUnderwriter
     */
    public function setSTicket($sTicket = null)
    {
        // validation for constraint: string
        if (!is_null($sTicket) && !is_string($sTicket)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sTicket)), __LINE__);
        }
        $this->sTicket = $sTicket;
        return $this;
    }
    /**
     * Get doUserName value
     * @return string|null
     */
    public function getDoUserName()
    {
        return $this->doUserName;
    }
    /**
     * Set doUserName value
     * @param string $doUserName
     * @return \LendingQB\StructType\LendingQBCreateWithDesktopUnderwriter
     */
    public function setDoUserName($doUserName = null)
    {
        // validation for constraint: string
        if (!is_null($doUserName) && !is_string($doUserName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($doUserName)), __LINE__);
        }
        $this->doUserName = $doUserName;
        return $this;
    }
    /**
     * Get doPassword value
     * @return string|null
     */
    public function getDoPassword()
    {
        return $this->doPassword;
    }
    /**
     * Set doPassword value
     * @param string $doPassword
     * @return \LendingQB\StructType\LendingQBCreateWithDesktopUnderwriter
     */
    public function setDoPassword($doPassword = null)
    {
        // validation for constraint: string
        if (!is_null($doPassword) && !is_string($doPassword)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($doPassword)), __LINE__);
        }
        $this->doPassword = $doPassword;
        return $this;
    }
    /**
     * Get sDuCaseId value
     * @return string|null
     */
    public function getSDuCaseId()
    {
        return $this->sDuCaseId;
    }
    /**
     * Set sDuCaseId value
     * @param string $sDuCaseId
     * @return \LendingQB\StructType\LendingQBCreateWithDesktopUnderwriter
     */
    public function setSDuCaseId($sDuCaseId = null)
    {
        // validation for constraint: string
        if (!is_null($sDuCaseId) && !is_string($sDuCaseId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sDuCaseId)), __LINE__);
        }
        $this->sDuCaseId = $sDuCaseId;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBCreateWithDesktopUnderwriter
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
