<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateWithOptions StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBCreateWithOptions extends AbstractStructBase
{
    /**
     * The sTicket
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sTicket;
    /**
     * The optionsXml
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $optionsXml;
    /**
     * Constructor method for CreateWithOptions
     * @uses LendingQBCreateWithOptions::setSTicket()
     * @uses LendingQBCreateWithOptions::setOptionsXml()
     * @param string $sTicket
     * @param string $optionsXml
     */
    public function __construct($sTicket = null, $optionsXml = null)
    {
        $this
            ->setSTicket($sTicket)
            ->setOptionsXml($optionsXml);
    }
    /**
     * Get sTicket value
     * @return string|null
     */
    public function getSTicket()
    {
        return $this->sTicket;
    }
    /**
     * Set sTicket value
     * @param string $sTicket
     * @return \LendingQB\StructType\LendingQBCreateWithOptions
     */
    public function setSTicket($sTicket = null)
    {
        // validation for constraint: string
        if (!is_null($sTicket) && !is_string($sTicket)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sTicket)), __LINE__);
        }
        $this->sTicket = $sTicket;
        return $this;
    }
    /**
     * Get optionsXml value
     * @return string|null
     */
    public function getOptionsXml()
    {
        return $this->optionsXml;
    }
    /**
     * Set optionsXml value
     * @param string $optionsXml
     * @return \LendingQB\StructType\LendingQBCreateWithOptions
     */
    public function setOptionsXml($optionsXml = null)
    {
        // validation for constraint: string
        if (!is_null($optionsXml) && !is_string($optionsXml)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($optionsXml)), __LINE__);
        }
        $this->optionsXml = $optionsXml;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBCreateWithOptions
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
