<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DeleteApplicant StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBDeleteApplicant extends AbstractStructBase
{
    /**
     * The sTicket
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sTicket;
    /**
     * The sLNm
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sLNm;
    /**
     * The applicantSSN
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $applicantSSN;
    /**
     * Constructor method for DeleteApplicant
     * @uses LendingQBDeleteApplicant::setSTicket()
     * @uses LendingQBDeleteApplicant::setSLNm()
     * @uses LendingQBDeleteApplicant::setApplicantSSN()
     * @param string $sTicket
     * @param string $sLNm
     * @param string $applicantSSN
     */
    public function __construct($sTicket = null, $sLNm = null, $applicantSSN = null)
    {
        $this
            ->setSTicket($sTicket)
            ->setSLNm($sLNm)
            ->setApplicantSSN($applicantSSN);
    }
    /**
     * Get sTicket value
     * @return string|null
     */
    public function getSTicket()
    {
        return $this->sTicket;
    }
    /**
     * Set sTicket value
     * @param string $sTicket
     * @return \LendingQB\StructType\LendingQBDeleteApplicant
     */
    public function setSTicket($sTicket = null)
    {
        // validation for constraint: string
        if (!is_null($sTicket) && !is_string($sTicket)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sTicket)), __LINE__);
        }
        $this->sTicket = $sTicket;
        return $this;
    }
    /**
     * Get sLNm value
     * @return string|null
     */
    public function getSLNm()
    {
        return $this->sLNm;
    }
    /**
     * Set sLNm value
     * @param string $sLNm
     * @return \LendingQB\StructType\LendingQBDeleteApplicant
     */
    public function setSLNm($sLNm = null)
    {
        // validation for constraint: string
        if (!is_null($sLNm) && !is_string($sLNm)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sLNm)), __LINE__);
        }
        $this->sLNm = $sLNm;
        return $this;
    }
    /**
     * Get applicantSSN value
     * @return string|null
     */
    public function getApplicantSSN()
    {
        return $this->applicantSSN;
    }
    /**
     * Set applicantSSN value
     * @param string $applicantSSN
     * @return \LendingQB\StructType\LendingQBDeleteApplicant
     */
    public function setApplicantSSN($applicantSSN = null)
    {
        // validation for constraint: string
        if (!is_null($applicantSSN) && !is_string($applicantSSN)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($applicantSSN)), __LINE__);
        }
        $this->applicantSSN = $applicantSSN;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBDeleteApplicant
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
