<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DocumentFrameworkGenerateDocs StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBDocumentFrameworkGenerateDocs extends AbstractStructBase
{
    /**
     * The sTicket
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sTicket;
    /**
     * The sLNm
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sLNm;
    /**
     * The token
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $token;
    /**
     * The optionsXml
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $optionsXml;
    /**
     * Constructor method for DocumentFrameworkGenerateDocs
     * @uses LendingQBDocumentFrameworkGenerateDocs::setSTicket()
     * @uses LendingQBDocumentFrameworkGenerateDocs::setSLNm()
     * @uses LendingQBDocumentFrameworkGenerateDocs::setToken()
     * @uses LendingQBDocumentFrameworkGenerateDocs::setOptionsXml()
     * @param string $sTicket
     * @param string $sLNm
     * @param string $token
     * @param string $optionsXml
     */
    public function __construct($sTicket = null, $sLNm = null, $token = null, $optionsXml = null)
    {
        $this
            ->setSTicket($sTicket)
            ->setSLNm($sLNm)
            ->setToken($token)
            ->setOptionsXml($optionsXml);
    }
    /**
     * Get sTicket value
     * @return string|null
     */
    public function getSTicket()
    {
        return $this->sTicket;
    }
    /**
     * Set sTicket value
     * @param string $sTicket
     * @return \LendingQB\StructType\LendingQBDocumentFrameworkGenerateDocs
     */
    public function setSTicket($sTicket = null)
    {
        // validation for constraint: string
        if (!is_null($sTicket) && !is_string($sTicket)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sTicket)), __LINE__);
        }
        $this->sTicket = $sTicket;
        return $this;
    }
    /**
     * Get sLNm value
     * @return string|null
     */
    public function getSLNm()
    {
        return $this->sLNm;
    }
    /**
     * Set sLNm value
     * @param string $sLNm
     * @return \LendingQB\StructType\LendingQBDocumentFrameworkGenerateDocs
     */
    public function setSLNm($sLNm = null)
    {
        // validation for constraint: string
        if (!is_null($sLNm) && !is_string($sLNm)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sLNm)), __LINE__);
        }
        $this->sLNm = $sLNm;
        return $this;
    }
    /**
     * Get token value
     * @return string|null
     */
    public function getToken()
    {
        return $this->token;
    }
    /**
     * Set token value
     * @param string $token
     * @return \LendingQB\StructType\LendingQBDocumentFrameworkGenerateDocs
     */
    public function setToken($token = null)
    {
        // validation for constraint: string
        if (!is_null($token) && !is_string($token)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($token)), __LINE__);
        }
        $this->token = $token;
        return $this;
    }
    /**
     * Get optionsXml value
     * @return string|null
     */
    public function getOptionsXml()
    {
        return $this->optionsXml;
    }
    /**
     * Set optionsXml value
     * @param string $optionsXml
     * @return \LendingQB\StructType\LendingQBDocumentFrameworkGenerateDocs
     */
    public function setOptionsXml($optionsXml = null)
    {
        // validation for constraint: string
        if (!is_null($optionsXml) && !is_string($optionsXml)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($optionsXml)), __LINE__);
        }
        $this->optionsXml = $optionsXml;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBDocumentFrameworkGenerateDocs
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
