<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DownloadEdocsByShippingTemplate StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBDownloadEdocsByShippingTemplate extends AbstractStructBase
{
    /**
     * The includeScreenedDocs
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $includeScreenedDocs;
    /**
     * The includeDocsWithoutStatus
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $includeDocsWithoutStatus;
    /**
     * The sTicket
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sTicket;
    /**
     * The sShippingTemplateName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sShippingTemplateName;
    /**
     * The sLNm
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sLNm;
    /**
     * Constructor method for DownloadEdocsByShippingTemplate
     * @uses LendingQBDownloadEdocsByShippingTemplate::setIncludeScreenedDocs()
     * @uses LendingQBDownloadEdocsByShippingTemplate::setIncludeDocsWithoutStatus()
     * @uses LendingQBDownloadEdocsByShippingTemplate::setSTicket()
     * @uses LendingQBDownloadEdocsByShippingTemplate::setSShippingTemplateName()
     * @uses LendingQBDownloadEdocsByShippingTemplate::setSLNm()
     * @param bool $includeScreenedDocs
     * @param bool $includeDocsWithoutStatus
     * @param string $sTicket
     * @param string $sShippingTemplateName
     * @param string $sLNm
     */
    public function __construct($includeScreenedDocs = null, $includeDocsWithoutStatus = null, $sTicket = null, $sShippingTemplateName = null, $sLNm = null)
    {
        $this
            ->setIncludeScreenedDocs($includeScreenedDocs)
            ->setIncludeDocsWithoutStatus($includeDocsWithoutStatus)
            ->setSTicket($sTicket)
            ->setSShippingTemplateName($sShippingTemplateName)
            ->setSLNm($sLNm);
    }
    /**
     * Get includeScreenedDocs value
     * @return bool
     */
    public function getIncludeScreenedDocs()
    {
        return $this->includeScreenedDocs;
    }
    /**
     * Set includeScreenedDocs value
     * @param bool $includeScreenedDocs
     * @return \LendingQB\StructType\LendingQBDownloadEdocsByShippingTemplate
     */
    public function setIncludeScreenedDocs($includeScreenedDocs = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeScreenedDocs) && !is_bool($includeScreenedDocs)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($includeScreenedDocs)), __LINE__);
        }
        $this->includeScreenedDocs = $includeScreenedDocs;
        return $this;
    }
    /**
     * Get includeDocsWithoutStatus value
     * @return bool
     */
    public function getIncludeDocsWithoutStatus()
    {
        return $this->includeDocsWithoutStatus;
    }
    /**
     * Set includeDocsWithoutStatus value
     * @param bool $includeDocsWithoutStatus
     * @return \LendingQB\StructType\LendingQBDownloadEdocsByShippingTemplate
     */
    public function setIncludeDocsWithoutStatus($includeDocsWithoutStatus = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeDocsWithoutStatus) && !is_bool($includeDocsWithoutStatus)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($includeDocsWithoutStatus)), __LINE__);
        }
        $this->includeDocsWithoutStatus = $includeDocsWithoutStatus;
        return $this;
    }
    /**
     * Get sTicket value
     * @return string|null
     */
    public function getSTicket()
    {
        return $this->sTicket;
    }
    /**
     * Set sTicket value
     * @param string $sTicket
     * @return \LendingQB\StructType\LendingQBDownloadEdocsByShippingTemplate
     */
    public function setSTicket($sTicket = null)
    {
        // validation for constraint: string
        if (!is_null($sTicket) && !is_string($sTicket)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sTicket)), __LINE__);
        }
        $this->sTicket = $sTicket;
        return $this;
    }
    /**
     * Get sShippingTemplateName value
     * @return string|null
     */
    public function getSShippingTemplateName()
    {
        return $this->sShippingTemplateName;
    }
    /**
     * Set sShippingTemplateName value
     * @param string $sShippingTemplateName
     * @return \LendingQB\StructType\LendingQBDownloadEdocsByShippingTemplate
     */
    public function setSShippingTemplateName($sShippingTemplateName = null)
    {
        // validation for constraint: string
        if (!is_null($sShippingTemplateName) && !is_string($sShippingTemplateName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sShippingTemplateName)), __LINE__);
        }
        $this->sShippingTemplateName = $sShippingTemplateName;
        return $this;
    }
    /**
     * Get sLNm value
     * @return string|null
     */
    public function getSLNm()
    {
        return $this->sLNm;
    }
    /**
     * Set sLNm value
     * @param string $sLNm
     * @return \LendingQB\StructType\LendingQBDownloadEdocsByShippingTemplate
     */
    public function setSLNm($sLNm = null)
    {
        // validation for constraint: string
        if (!is_null($sLNm) && !is_string($sLNm)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sLNm)), __LINE__);
        }
        $this->sLNm = $sLNm;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBDownloadEdocsByShippingTemplate
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
