<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LoadByRefNumber StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBLoadByRefNumber extends AbstractStructBase
{
    /**
     * The format
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $format;
    /**
     * The sTicket
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sTicket;
    /**
     * The sLRefNm
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sLRefNm;
    /**
     * The sXmlQuery
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sXmlQuery;
    /**
     * Constructor method for LoadByRefNumber
     * @uses LendingQBLoadByRefNumber::setFormat()
     * @uses LendingQBLoadByRefNumber::setSTicket()
     * @uses LendingQBLoadByRefNumber::setSLRefNm()
     * @uses LendingQBLoadByRefNumber::setSXmlQuery()
     * @param int $format
     * @param string $sTicket
     * @param string $sLRefNm
     * @param string $sXmlQuery
     */
    public function __construct($format = null, $sTicket = null, $sLRefNm = null, $sXmlQuery = null)
    {
        $this
            ->setFormat($format)
            ->setSTicket($sTicket)
            ->setSLRefNm($sLRefNm)
            ->setSXmlQuery($sXmlQuery);
    }
    /**
     * Get format value
     * @return int
     */
    public function getFormat()
    {
        return $this->format;
    }
    /**
     * Set format value
     * @param int $format
     * @return \LendingQB\StructType\LendingQBLoadByRefNumber
     */
    public function setFormat($format = null)
    {
        // validation for constraint: int
        if (!is_null($format) && !is_numeric($format)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($format)), __LINE__);
        }
        $this->format = $format;
        return $this;
    }
    /**
     * Get sTicket value
     * @return string|null
     */
    public function getSTicket()
    {
        return $this->sTicket;
    }
    /**
     * Set sTicket value
     * @param string $sTicket
     * @return \LendingQB\StructType\LendingQBLoadByRefNumber
     */
    public function setSTicket($sTicket = null)
    {
        // validation for constraint: string
        if (!is_null($sTicket) && !is_string($sTicket)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sTicket)), __LINE__);
        }
        $this->sTicket = $sTicket;
        return $this;
    }
    /**
     * Get sLRefNm value
     * @return string|null
     */
    public function getSLRefNm()
    {
        return $this->sLRefNm;
    }
    /**
     * Set sLRefNm value
     * @param string $sLRefNm
     * @return \LendingQB\StructType\LendingQBLoadByRefNumber
     */
    public function setSLRefNm($sLRefNm = null)
    {
        // validation for constraint: string
        if (!is_null($sLRefNm) && !is_string($sLRefNm)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sLRefNm)), __LINE__);
        }
        $this->sLRefNm = $sLRefNm;
        return $this;
    }
    /**
     * Get sXmlQuery value
     * @return string|null
     */
    public function getSXmlQuery()
    {
        return $this->sXmlQuery;
    }
    /**
     * Set sXmlQuery value
     * @param string $sXmlQuery
     * @return \LendingQB\StructType\LendingQBLoadByRefNumber
     */
    public function setSXmlQuery($sXmlQuery = null)
    {
        // validation for constraint: string
        if (!is_null($sXmlQuery) && !is_string($sXmlQuery)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sXmlQuery)), __LINE__);
        }
        $this->sXmlQuery = $sXmlQuery;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBLoadByRefNumber
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
