<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LoadResponse StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBLoadResponse extends AbstractStructBase
{
    /**
     * The LoadResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $LoadResult;
    /**
     * Constructor method for LoadResponse
     * @uses LendingQBLoadResponse::setLoadResult()
     * @param string $loadResult
     */
    public function __construct($loadResult = null)
    {
        $this
            ->setLoadResult($loadResult);
    }
    /**
     * Get LoadResult value
     * @return string|null
     */
    public function getLoadResult()
    {
        return $this->LoadResult;
    }
    /**
     * Set LoadResult value
     * @param string $loadResult
     * @return \LendingQB\StructType\LendingQBLoadResponse
     */
    public function setLoadResult($loadResult = null)
    {
        // validation for constraint: string
        if (!is_null($loadResult) && !is_string($loadResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($loadResult)), __LINE__);
        }
        $this->LoadResult = $loadResult;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBLoadResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
