<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LockLoanProgram StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBLockLoanProgram extends AbstractStructBase
{
    /**
     * The requestedRate
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $requestedRate;
    /**
     * The requestedFee
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $requestedFee;
    /**
     * The sTicket
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sTicket;
    /**
     * The sLNm
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sLNm;
    /**
     * The lLpTemplateId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $lLpTemplateId;
    /**
     * Constructor method for LockLoanProgram
     * @uses LendingQBLockLoanProgram::setRequestedRate()
     * @uses LendingQBLockLoanProgram::setRequestedFee()
     * @uses LendingQBLockLoanProgram::setSTicket()
     * @uses LendingQBLockLoanProgram::setSLNm()
     * @uses LendingQBLockLoanProgram::setLLpTemplateId()
     * @param float $requestedRate
     * @param float $requestedFee
     * @param string $sTicket
     * @param string $sLNm
     * @param string $lLpTemplateId
     */
    public function __construct($requestedRate = null, $requestedFee = null, $sTicket = null, $sLNm = null, $lLpTemplateId = null)
    {
        $this
            ->setRequestedRate($requestedRate)
            ->setRequestedFee($requestedFee)
            ->setSTicket($sTicket)
            ->setSLNm($sLNm)
            ->setLLpTemplateId($lLpTemplateId);
    }
    /**
     * Get requestedRate value
     * @return float
     */
    public function getRequestedRate()
    {
        return $this->requestedRate;
    }
    /**
     * Set requestedRate value
     * @param float $requestedRate
     * @return \LendingQB\StructType\LendingQBLockLoanProgram
     */
    public function setRequestedRate($requestedRate = null)
    {
        $this->requestedRate = $requestedRate;
        return $this;
    }
    /**
     * Get requestedFee value
     * @return float
     */
    public function getRequestedFee()
    {
        return $this->requestedFee;
    }
    /**
     * Set requestedFee value
     * @param float $requestedFee
     * @return \LendingQB\StructType\LendingQBLockLoanProgram
     */
    public function setRequestedFee($requestedFee = null)
    {
        $this->requestedFee = $requestedFee;
        return $this;
    }
    /**
     * Get sTicket value
     * @return string|null
     */
    public function getSTicket()
    {
        return $this->sTicket;
    }
    /**
     * Set sTicket value
     * @param string $sTicket
     * @return \LendingQB\StructType\LendingQBLockLoanProgram
     */
    public function setSTicket($sTicket = null)
    {
        // validation for constraint: string
        if (!is_null($sTicket) && !is_string($sTicket)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sTicket)), __LINE__);
        }
        $this->sTicket = $sTicket;
        return $this;
    }
    /**
     * Get sLNm value
     * @return string|null
     */
    public function getSLNm()
    {
        return $this->sLNm;
    }
    /**
     * Set sLNm value
     * @param string $sLNm
     * @return \LendingQB\StructType\LendingQBLockLoanProgram
     */
    public function setSLNm($sLNm = null)
    {
        // validation for constraint: string
        if (!is_null($sLNm) && !is_string($sLNm)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sLNm)), __LINE__);
        }
        $this->sLNm = $sLNm;
        return $this;
    }
    /**
     * Get lLpTemplateId value
     * @return string|null
     */
    public function getLLpTemplateId()
    {
        return $this->lLpTemplateId;
    }
    /**
     * Set lLpTemplateId value
     * @param string $lLpTemplateId
     * @return \LendingQB\StructType\LendingQBLockLoanProgram
     */
    public function setLLpTemplateId($lLpTemplateId = null)
    {
        // validation for constraint: string
        if (!is_null($lLpTemplateId) && !is_string($lLpTemplateId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($lLpTemplateId)), __LINE__);
        }
        $this->lLpTemplateId = $lLpTemplateId;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBLockLoanProgram
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
