<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ParseFnma32ToLoXml StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBParseFnma32ToLoXml extends AbstractStructBase
{
    /**
     * The sTicket
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sTicket;
    /**
     * The fnma32Content
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $fnma32Content;
    /**
     * The sXmlQuery
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sXmlQuery;
    /**
     * Constructor method for ParseFnma32ToLoXml
     * @uses LendingQBParseFnma32ToLoXml::setSTicket()
     * @uses LendingQBParseFnma32ToLoXml::setFnma32Content()
     * @uses LendingQBParseFnma32ToLoXml::setSXmlQuery()
     * @param string $sTicket
     * @param string $fnma32Content
     * @param string $sXmlQuery
     */
    public function __construct($sTicket = null, $fnma32Content = null, $sXmlQuery = null)
    {
        $this
            ->setSTicket($sTicket)
            ->setFnma32Content($fnma32Content)
            ->setSXmlQuery($sXmlQuery);
    }
    /**
     * Get sTicket value
     * @return string|null
     */
    public function getSTicket()
    {
        return $this->sTicket;
    }
    /**
     * Set sTicket value
     * @param string $sTicket
     * @return \LendingQB\StructType\LendingQBParseFnma32ToLoXml
     */
    public function setSTicket($sTicket = null)
    {
        // validation for constraint: string
        if (!is_null($sTicket) && !is_string($sTicket)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sTicket)), __LINE__);
        }
        $this->sTicket = $sTicket;
        return $this;
    }
    /**
     * Get fnma32Content value
     * @return string|null
     */
    public function getFnma32Content()
    {
        return $this->fnma32Content;
    }
    /**
     * Set fnma32Content value
     * @param string $fnma32Content
     * @return \LendingQB\StructType\LendingQBParseFnma32ToLoXml
     */
    public function setFnma32Content($fnma32Content = null)
    {
        // validation for constraint: string
        if (!is_null($fnma32Content) && !is_string($fnma32Content)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($fnma32Content)), __LINE__);
        }
        $this->fnma32Content = $fnma32Content;
        return $this;
    }
    /**
     * Get sXmlQuery value
     * @return string|null
     */
    public function getSXmlQuery()
    {
        return $this->sXmlQuery;
    }
    /**
     * Set sXmlQuery value
     * @param string $sXmlQuery
     * @return \LendingQB\StructType\LendingQBParseFnma32ToLoXml
     */
    public function setSXmlQuery($sXmlQuery = null)
    {
        // validation for constraint: string
        if (!is_null($sXmlQuery) && !is_string($sXmlQuery)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sXmlQuery)), __LINE__);
        }
        $this->sXmlQuery = $sXmlQuery;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBParseFnma32ToLoXml
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
