<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RecordInitialDisclosureEventWithPartnerKey StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBRecordInitialDisclosureEventWithPartnerKey extends AbstractStructBase
{
    /**
     * The sTicket
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sTicket;
    /**
     * The loanNumber
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $loanNumber;
    /**
     * The dataXml
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $dataXml;
    /**
     * The secretKey
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $secretKey;
    /**
     * Constructor method for RecordInitialDisclosureEventWithPartnerKey
     * @uses LendingQBRecordInitialDisclosureEventWithPartnerKey::setSTicket()
     * @uses LendingQBRecordInitialDisclosureEventWithPartnerKey::setLoanNumber()
     * @uses LendingQBRecordInitialDisclosureEventWithPartnerKey::setDataXml()
     * @uses LendingQBRecordInitialDisclosureEventWithPartnerKey::setSecretKey()
     * @param string $sTicket
     * @param string $loanNumber
     * @param string $dataXml
     * @param string $secretKey
     */
    public function __construct($sTicket = null, $loanNumber = null, $dataXml = null, $secretKey = null)
    {
        $this
            ->setSTicket($sTicket)
            ->setLoanNumber($loanNumber)
            ->setDataXml($dataXml)
            ->setSecretKey($secretKey);
    }
    /**
     * Get sTicket value
     * @return string|null
     */
    public function getSTicket()
    {
        return $this->sTicket;
    }
    /**
     * Set sTicket value
     * @param string $sTicket
     * @return \LendingQB\StructType\LendingQBRecordInitialDisclosureEventWithPartnerKey
     */
    public function setSTicket($sTicket = null)
    {
        // validation for constraint: string
        if (!is_null($sTicket) && !is_string($sTicket)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sTicket)), __LINE__);
        }
        $this->sTicket = $sTicket;
        return $this;
    }
    /**
     * Get loanNumber value
     * @return string|null
     */
    public function getLoanNumber()
    {
        return $this->loanNumber;
    }
    /**
     * Set loanNumber value
     * @param string $loanNumber
     * @return \LendingQB\StructType\LendingQBRecordInitialDisclosureEventWithPartnerKey
     */
    public function setLoanNumber($loanNumber = null)
    {
        // validation for constraint: string
        if (!is_null($loanNumber) && !is_string($loanNumber)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($loanNumber)), __LINE__);
        }
        $this->loanNumber = $loanNumber;
        return $this;
    }
    /**
     * Get dataXml value
     * @return string|null
     */
    public function getDataXml()
    {
        return $this->dataXml;
    }
    /**
     * Set dataXml value
     * @param string $dataXml
     * @return \LendingQB\StructType\LendingQBRecordInitialDisclosureEventWithPartnerKey
     */
    public function setDataXml($dataXml = null)
    {
        // validation for constraint: string
        if (!is_null($dataXml) && !is_string($dataXml)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($dataXml)), __LINE__);
        }
        $this->dataXml = $dataXml;
        return $this;
    }
    /**
     * Get secretKey value
     * @return string|null
     */
    public function getSecretKey()
    {
        return $this->secretKey;
    }
    /**
     * Set secretKey value
     * @param string $secretKey
     * @return \LendingQB\StructType\LendingQBRecordInitialDisclosureEventWithPartnerKey
     */
    public function setSecretKey($secretKey = null)
    {
        // validation for constraint: string
        if (!is_null($secretKey) && !is_string($secretKey)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($secretKey)), __LINE__);
        }
        $this->secretKey = $secretKey;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBRecordInitialDisclosureEventWithPartnerKey
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
