<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RetrieveClosingCostTemplateFeeList StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBRetrieveClosingCostTemplateFeeList extends AbstractStructBase
{
    /**
     * The sTicket
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sTicket;
    /**
     * The closingCostName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $closingCostName;
    /**
     * Constructor method for RetrieveClosingCostTemplateFeeList
     * @uses LendingQBRetrieveClosingCostTemplateFeeList::setSTicket()
     * @uses LendingQBRetrieveClosingCostTemplateFeeList::setClosingCostName()
     * @param string $sTicket
     * @param string $closingCostName
     */
    public function __construct($sTicket = null, $closingCostName = null)
    {
        $this
            ->setSTicket($sTicket)
            ->setClosingCostName($closingCostName);
    }
    /**
     * Get sTicket value
     * @return string|null
     */
    public function getSTicket()
    {
        return $this->sTicket;
    }
    /**
     * Set sTicket value
     * @param string $sTicket
     * @return \LendingQB\StructType\LendingQBRetrieveClosingCostTemplateFeeList
     */
    public function setSTicket($sTicket = null)
    {
        // validation for constraint: string
        if (!is_null($sTicket) && !is_string($sTicket)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sTicket)), __LINE__);
        }
        $this->sTicket = $sTicket;
        return $this;
    }
    /**
     * Get closingCostName value
     * @return string|null
     */
    public function getClosingCostName()
    {
        return $this->closingCostName;
    }
    /**
     * Set closingCostName value
     * @param string $closingCostName
     * @return \LendingQB\StructType\LendingQBRetrieveClosingCostTemplateFeeList
     */
    public function setClosingCostName($closingCostName = null)
    {
        // validation for constraint: string
        if (!is_null($closingCostName) && !is_string($closingCostName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($closingCostName)), __LINE__);
        }
        $this->closingCostName = $closingCostName;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBRetrieveClosingCostTemplateFeeList
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
