<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RetrieveCustomReport StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBRetrieveCustomReport extends AbstractStructBase
{
    /**
     * The includeAllWithAccess
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $includeAllWithAccess;
    /**
     * The sTicket
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sTicket;
    /**
     * The sQueryNm
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sQueryNm;
    /**
     * Constructor method for RetrieveCustomReport
     * @uses LendingQBRetrieveCustomReport::setIncludeAllWithAccess()
     * @uses LendingQBRetrieveCustomReport::setSTicket()
     * @uses LendingQBRetrieveCustomReport::setSQueryNm()
     * @param bool $includeAllWithAccess
     * @param string $sTicket
     * @param string $sQueryNm
     */
    public function __construct($includeAllWithAccess = null, $sTicket = null, $sQueryNm = null)
    {
        $this
            ->setIncludeAllWithAccess($includeAllWithAccess)
            ->setSTicket($sTicket)
            ->setSQueryNm($sQueryNm);
    }
    /**
     * Get includeAllWithAccess value
     * @return bool
     */
    public function getIncludeAllWithAccess()
    {
        return $this->includeAllWithAccess;
    }
    /**
     * Set includeAllWithAccess value
     * @param bool $includeAllWithAccess
     * @return \LendingQB\StructType\LendingQBRetrieveCustomReport
     */
    public function setIncludeAllWithAccess($includeAllWithAccess = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeAllWithAccess) && !is_bool($includeAllWithAccess)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($includeAllWithAccess)), __LINE__);
        }
        $this->includeAllWithAccess = $includeAllWithAccess;
        return $this;
    }
    /**
     * Get sTicket value
     * @return string|null
     */
    public function getSTicket()
    {
        return $this->sTicket;
    }
    /**
     * Set sTicket value
     * @param string $sTicket
     * @return \LendingQB\StructType\LendingQBRetrieveCustomReport
     */
    public function setSTicket($sTicket = null)
    {
        // validation for constraint: string
        if (!is_null($sTicket) && !is_string($sTicket)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sTicket)), __LINE__);
        }
        $this->sTicket = $sTicket;
        return $this;
    }
    /**
     * Get sQueryNm value
     * @return string|null
     */
    public function getSQueryNm()
    {
        return $this->sQueryNm;
    }
    /**
     * Set sQueryNm value
     * @param string $sQueryNm
     * @return \LendingQB\StructType\LendingQBRetrieveCustomReport
     */
    public function setSQueryNm($sQueryNm = null)
    {
        // validation for constraint: string
        if (!is_null($sQueryNm) && !is_string($sQueryNm)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sQueryNm)), __LINE__);
        }
        $this->sQueryNm = $sQueryNm;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBRetrieveCustomReport
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
