<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RunInternalPricing StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBRunInternalPricing extends AbstractStructBase
{
    /**
     * The sTicket
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sTicket;
    /**
     * The sLNm
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sLNm;
    /**
     * The sXmlData
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sXmlData;
    /**
     * Constructor method for RunInternalPricing
     * @uses LendingQBRunInternalPricing::setSTicket()
     * @uses LendingQBRunInternalPricing::setSLNm()
     * @uses LendingQBRunInternalPricing::setSXmlData()
     * @param string $sTicket
     * @param string $sLNm
     * @param string $sXmlData
     */
    public function __construct($sTicket = null, $sLNm = null, $sXmlData = null)
    {
        $this
            ->setSTicket($sTicket)
            ->setSLNm($sLNm)
            ->setSXmlData($sXmlData);
    }
    /**
     * Get sTicket value
     * @return string|null
     */
    public function getSTicket()
    {
        return $this->sTicket;
    }
    /**
     * Set sTicket value
     * @param string $sTicket
     * @return \LendingQB\StructType\LendingQBRunInternalPricing
     */
    public function setSTicket($sTicket = null)
    {
        // validation for constraint: string
        if (!is_null($sTicket) && !is_string($sTicket)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sTicket)), __LINE__);
        }
        $this->sTicket = $sTicket;
        return $this;
    }
    /**
     * Get sLNm value
     * @return string|null
     */
    public function getSLNm()
    {
        return $this->sLNm;
    }
    /**
     * Set sLNm value
     * @param string $sLNm
     * @return \LendingQB\StructType\LendingQBRunInternalPricing
     */
    public function setSLNm($sLNm = null)
    {
        // validation for constraint: string
        if (!is_null($sLNm) && !is_string($sLNm)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sLNm)), __LINE__);
        }
        $this->sLNm = $sLNm;
        return $this;
    }
    /**
     * Get sXmlData value
     * @return string|null
     */
    public function getSXmlData()
    {
        return $this->sXmlData;
    }
    /**
     * Set sXmlData value
     * @param string $sXmlData
     * @return \LendingQB\StructType\LendingQBRunInternalPricing
     */
    public function setSXmlData($sXmlData = null)
    {
        // validation for constraint: string
        if (!is_null($sXmlData) && !is_string($sXmlData)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sXmlData)), __LINE__);
        }
        $this->sXmlData = $sXmlData;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBRunInternalPricing
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
