<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Save StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBSave extends AbstractStructBase
{
    /**
     * The format
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $format;
    /**
     * The sTicket
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sTicket;
    /**
     * The sLNm
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sLNm;
    /**
     * The sDataContent
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sDataContent;
    /**
     * Constructor method for Save
     * @uses LendingQBSave::setFormat()
     * @uses LendingQBSave::setSTicket()
     * @uses LendingQBSave::setSLNm()
     * @uses LendingQBSave::setSDataContent()
     * @param int $format
     * @param string $sTicket
     * @param string $sLNm
     * @param string $sDataContent
     */
    public function __construct($format = null, $sTicket = null, $sLNm = null, $sDataContent = null)
    {
        $this
            ->setFormat($format)
            ->setSTicket($sTicket)
            ->setSLNm($sLNm)
            ->setSDataContent($sDataContent);
    }
    /**
     * Get format value
     * @return int
     */
    public function getFormat()
    {
        return $this->format;
    }
    /**
     * Set format value
     * @param int $format
     * @return \LendingQB\StructType\LendingQBSave
     */
    public function setFormat($format = null)
    {
        // validation for constraint: int
        if (!is_null($format) && !is_numeric($format)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($format)), __LINE__);
        }
        $this->format = $format;
        return $this;
    }
    /**
     * Get sTicket value
     * @return string|null
     */
    public function getSTicket()
    {
        return $this->sTicket;
    }
    /**
     * Set sTicket value
     * @param string $sTicket
     * @return \LendingQB\StructType\LendingQBSave
     */
    public function setSTicket($sTicket = null)
    {
        // validation for constraint: string
        if (!is_null($sTicket) && !is_string($sTicket)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sTicket)), __LINE__);
        }
        $this->sTicket = $sTicket;
        return $this;
    }
    /**
     * Get sLNm value
     * @return string|null
     */
    public function getSLNm()
    {
        return $this->sLNm;
    }
    /**
     * Set sLNm value
     * @param string $sLNm
     * @return \LendingQB\StructType\LendingQBSave
     */
    public function setSLNm($sLNm = null)
    {
        // validation for constraint: string
        if (!is_null($sLNm) && !is_string($sLNm)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sLNm)), __LINE__);
        }
        $this->sLNm = $sLNm;
        return $this;
    }
    /**
     * Get sDataContent value
     * @return string|null
     */
    public function getSDataContent()
    {
        return $this->sDataContent;
    }
    /**
     * Set sDataContent value
     * @param string $sDataContent
     * @return \LendingQB\StructType\LendingQBSave
     */
    public function setSDataContent($sDataContent = null)
    {
        // validation for constraint: string
        if (!is_null($sDataContent) && !is_string($sDataContent)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sDataContent)), __LINE__);
        }
        $this->sDataContent = $sDataContent;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBSave
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
