<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SaveResponse StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBSaveResponse extends AbstractStructBase
{
    /**
     * The SaveResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $SaveResult;
    /**
     * Constructor method for SaveResponse
     * @uses LendingQBSaveResponse::setSaveResult()
     * @param string $saveResult
     */
    public function __construct($saveResult = null)
    {
        $this
            ->setSaveResult($saveResult);
    }
    /**
     * Get SaveResult value
     * @return string|null
     */
    public function getSaveResult()
    {
        return $this->SaveResult;
    }
    /**
     * Set SaveResult value
     * @param string $saveResult
     * @return \LendingQB\StructType\LendingQBSaveResponse
     */
    public function setSaveResult($saveResult = null)
    {
        // validation for constraint: string
        if (!is_null($saveResult) && !is_string($saveResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($saveResult)), __LINE__);
        }
        $this->SaveResult = $saveResult;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBSaveResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
