<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Search StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBSearch extends AbstractStructBase
{
    /**
     * The sTicket
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sTicket;
    /**
     * The sSearchFilterXml
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sSearchFilterXml;
    /**
     * Constructor method for Search
     * @uses LendingQBSearch::setSTicket()
     * @uses LendingQBSearch::setSSearchFilterXml()
     * @param string $sTicket
     * @param string $sSearchFilterXml
     */
    public function __construct($sTicket = null, $sSearchFilterXml = null)
    {
        $this
            ->setSTicket($sTicket)
            ->setSSearchFilterXml($sSearchFilterXml);
    }
    /**
     * Get sTicket value
     * @return string|null
     */
    public function getSTicket()
    {
        return $this->sTicket;
    }
    /**
     * Set sTicket value
     * @param string $sTicket
     * @return \LendingQB\StructType\LendingQBSearch
     */
    public function setSTicket($sTicket = null)
    {
        // validation for constraint: string
        if (!is_null($sTicket) && !is_string($sTicket)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sTicket)), __LINE__);
        }
        $this->sTicket = $sTicket;
        return $this;
    }
    /**
     * Get sSearchFilterXml value
     * @return string|null
     */
    public function getSSearchFilterXml()
    {
        return $this->sSearchFilterXml;
    }
    /**
     * Set sSearchFilterXml value
     * @param string $sSearchFilterXml
     * @return \LendingQB\StructType\LendingQBSearch
     */
    public function setSSearchFilterXml($sSearchFilterXml = null)
    {
        // validation for constraint: string
        if (!is_null($sSearchFilterXml) && !is_string($sSearchFilterXml)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sSearchFilterXml)), __LINE__);
        }
        $this->sSearchFilterXml = $sSearchFilterXml;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBSearch
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
