<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SearchResponse StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBSearchResponse extends AbstractStructBase
{
    /**
     * The SearchResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $SearchResult;
    /**
     * Constructor method for SearchResponse
     * @uses LendingQBSearchResponse::setSearchResult()
     * @param string $searchResult
     */
    public function __construct($searchResult = null)
    {
        $this
            ->setSearchResult($searchResult);
    }
    /**
     * Get SearchResult value
     * @return string|null
     */
    public function getSearchResult()
    {
        return $this->SearchResult;
    }
    /**
     * Set SearchResult value
     * @param string $searchResult
     * @return \LendingQB\StructType\LendingQBSearchResponse
     */
    public function setSearchResult($searchResult = null)
    {
        // validation for constraint: string
        if (!is_null($searchResult) && !is_string($searchResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($searchResult)), __LINE__);
        }
        $this->SearchResult = $searchResult;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBSearchResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
