<?php

namespace LendingQB\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SubmitToDesktopOriginator StructType
 * @package LendingQB
 * @subpackage Structs
 */
class LendingQBSubmitToDesktopOriginator extends AbstractStructBase
{
    /**
     * The sTicket
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sTicket;
    /**
     * The sLNm
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sLNm;
    /**
     * The doUserName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $doUserName;
    /**
     * The doPassword
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $doPassword;
    /**
     * Constructor method for SubmitToDesktopOriginator
     * @uses LendingQBSubmitToDesktopOriginator::setSTicket()
     * @uses LendingQBSubmitToDesktopOriginator::setSLNm()
     * @uses LendingQBSubmitToDesktopOriginator::setDoUserName()
     * @uses LendingQBSubmitToDesktopOriginator::setDoPassword()
     * @param string $sTicket
     * @param string $sLNm
     * @param string $doUserName
     * @param string $doPassword
     */
    public function __construct($sTicket = null, $sLNm = null, $doUserName = null, $doPassword = null)
    {
        $this
            ->setSTicket($sTicket)
            ->setSLNm($sLNm)
            ->setDoUserName($doUserName)
            ->setDoPassword($doPassword);
    }
    /**
     * Get sTicket value
     * @return string|null
     */
    public function getSTicket()
    {
        return $this->sTicket;
    }
    /**
     * Set sTicket value
     * @param string $sTicket
     * @return \LendingQB\StructType\LendingQBSubmitToDesktopOriginator
     */
    public function setSTicket($sTicket = null)
    {
        // validation for constraint: string
        if (!is_null($sTicket) && !is_string($sTicket)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sTicket)), __LINE__);
        }
        $this->sTicket = $sTicket;
        return $this;
    }
    /**
     * Get sLNm value
     * @return string|null
     */
    public function getSLNm()
    {
        return $this->sLNm;
    }
    /**
     * Set sLNm value
     * @param string $sLNm
     * @return \LendingQB\StructType\LendingQBSubmitToDesktopOriginator
     */
    public function setSLNm($sLNm = null)
    {
        // validation for constraint: string
        if (!is_null($sLNm) && !is_string($sLNm)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sLNm)), __LINE__);
        }
        $this->sLNm = $sLNm;
        return $this;
    }
    /**
     * Get doUserName value
     * @return string|null
     */
    public function getDoUserName()
    {
        return $this->doUserName;
    }
    /**
     * Set doUserName value
     * @param string $doUserName
     * @return \LendingQB\StructType\LendingQBSubmitToDesktopOriginator
     */
    public function setDoUserName($doUserName = null)
    {
        // validation for constraint: string
        if (!is_null($doUserName) && !is_string($doUserName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($doUserName)), __LINE__);
        }
        $this->doUserName = $doUserName;
        return $this;
    }
    /**
     * Get doPassword value
     * @return string|null
     */
    public function getDoPassword()
    {
        return $this->doPassword;
    }
    /**
     * Set doPassword value
     * @param string $doPassword
     * @return \LendingQB\StructType\LendingQBSubmitToDesktopOriginator
     */
    public function setDoPassword($doPassword = null)
    {
        // validation for constraint: string
        if (!is_null($doPassword) && !is_string($doPassword)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($doPassword)), __LINE__);
        }
        $this->doPassword = $doPassword;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\StructType\LendingQBSubmitToDesktopOriginator
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
